Skip to main content

Job Delete

  • Delete a specific job and its associated analysis results. The deletion is permanent.
POST /v1/job/delete/{job_id}

Auth and Rate Limits​

  • Authentication is required for this endpoint. You must include a valid API key in the Authorization header.
  • This API call is rate limited to 100 requests per minute.

URL Parameters​

  • The ID of the job to be deleted must be included in the URL.
ParameterTypeDescriptionRequired
job_idintegerThe ID of the job to delete.Yes

Deletion Rules​

  • The job status must be "completed"
  • Jobs in "submitted", "processing", or other active states cannot be deleted

Response​

{
"status": true,
"code": 200,
"message": "Job successfully deleted",
"data": {
"job_id": 222
}
}

Example Request​

  • Here is an example of how to delete a job using curl.
curl -X POST https://api.deepfaic.com/v1/job/delete/222 \
-H "Authorization: Bearer <api_key>"